package modules.cfs;

import com.one.ArchiveContainer;
import com.one.FileSource;
import filemanager.main;
import java.io.IOException;
import org.apache.commons.compress.compressors.gzip.GZipArchive;

public class GZipFileSource implements FileSource
{
	public void createFile(String filename) throws IOException
	{
		ArchiveContainer container = new GZipArchive();

		container.init(filename, true);
		container.close();

		main.FileSelect.showWait(filename.substring(filename.lastIndexOf('/') + 1));
	}
}
